import { DOMWidgetModel, DOMWidgetView } from '@jupyter-widgets/base';
import { ISerializers } from 'jupyter-dataserializers';
import ndarray = require('ndarray');
/**
 * Model for the the data widgets based image widget.
 */
export declare class DataImageModel extends DOMWidgetModel {
    defaults(): {
        _model_name: string;
        _model_module_version: any;
        _model_module: string;
        _view_name: string;
        _view_module: string;
        _view_module_version: any;
        data: ndarray.NdArray<never[]>;
    };
    static serializers: ISerializers;
    static model_name: string;
    static model_module: string;
    static model_module_version: any;
    static view_name: string;
    static view_module: string;
    static view_module_version: any;
}
/**
 * View for the the data widgets based image widget.
 */
export declare class DataImageView extends DOMWidgetView {
    initialize(parameters: any): void;
    /**
     * Called when view is rendered.
     */
    render(): void;
    /**
     * Update the contents of this view
     *
     * Called when the model is changed.  The model may have been
     * changed by another view or by a state update from the back-end.
     */
    update(): void;
    remove(): void;
    /**
     * The default tag name.
     *
     * #### Notes
     * This is a read-only attribute.
     */
    get tagName(): string;
    el: HTMLImageElement;
    canvas: HTMLCanvasElement | null;
}
//# sourceMappingURL=media.d.ts.map