"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.NDArrayModel = exports.NDArrayBaseModel = void 0;
const base_1 = require("./base");
const jupyter_dataserializers_1 = require("jupyter-dataserializers");
const ndarray = require("ndarray");
class NDArrayBaseModel extends base_1.DataModel {
    defaults() {
        return Object.assign(Object.assign({}, super.defaults()), {
            array: ndarray([]),
            compression_level: 0,
        });
    }
    getNDArray(key = 'array') {
        return this.get(key);
    }
}
exports.NDArrayBaseModel = NDArrayBaseModel;
NDArrayBaseModel.serializers = Object.assign(Object.assign({}, base_1.DataModel.serializers), { array: jupyter_dataserializers_1.compressed_array_serialization });
class NDArrayModel extends NDArrayBaseModel {
    defaults() {
        return Object.assign(Object.assign({}, super.defaults()), {
            _model_name: NDArrayModel.model_name,
        });
    }
    canWriteBack(key = 'array') {
        return key === 'array';
    }
    setNDArray(array, key = 'array', options) {
        this.set(key, array, options);
    }
}
exports.NDArrayModel = NDArrayModel;
NDArrayModel.serializers = Object.assign({}, NDArrayBaseModel.serializers);
NDArrayModel.model_name = 'NDArrayModel';
//# sourceMappingURL=ndarray.js.map